Subject: Re: bug#10735: chmod +x

From: [email-masked]
Date: Tue, 07 Feb 2012 16:59:38 +0100 (CET)

Dear Paul,

thanks for your reply, but this was not what I meant.

I have scripts that work fine on a full Linux platform (ext filesystem).
However, if I use those scipts (that use chmod +x), I get a lot of warnings.
Thing I dislike to see, and are confusing.

I was wondering wether I couldn't write something like

if [not on NTFS filesystem] then
  chmod +x

or

[on NTFS filesystem] || chmod +x ...

Best regards,

Francky

----- Oorspronkelijk e-mail -----
> On 02/07/2012 05:49 AM, [email-masked] wrote:
> > is there any way I could suppress the warning given by chmod +x?
> 
> You can suppress all warnings with the shell command:
> 
> chmod +x file 2>/dev/null;:
> 
> This is usually not a good idea.  The warnings are there
> for a reason.
>